> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Operations summary



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/pending-operations
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/pending-operations:
    get:
      tags:
        - Media Buys
      summary: Operations summary
      operationId: getStorefrontPendingOperations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          counts:
                            type: object
                            properties:
                              approvals:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              creativeReviews:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              failedForwards:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              awaitingSource:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              sellingPoints:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              sellingPointsNotBacked:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              openRequests:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                            required:
                              - approvals
                              - creativeReviews
                              - failedForwards
                              - awaitingSource
                              - sellingPoints
                              - sellingPointsNotBacked
                              - openRequests
                            additionalProperties: false
                          approvals:
                            type: array
                            items:
                              type: object
                              properties:
                                mediaBuyId:
                                  type: string
                                kind:
                                  type: string
                                  enum:
                                    - create
                                    - update
                                buyerName:
                                  type: string
                                submittedAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              required:
                                - mediaBuyId
                                - kind
                                - buyerName
                                - submittedAt
                              additionalProperties: false
                          creativeReviews:
                            type: array
                            items:
                              type: object
                              properties:
                                creativeId:
                                  type: string
                                buyerName:
                                  type: string
                                submittedAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              required:
                                - creativeId
                                - buyerName
                                - submittedAt
                              additionalProperties: false
                          failedForwards:
                            type: array
                            items:
                              type: object
                              properties:
                                errorCode:
                                  type: string
                                recovery:
                                  type: string
                                action:
                                  type: string
                                count:
                                  type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                              required:
                                - errorCode
                                - recovery
                                - action
                                - count
                              additionalProperties: false
                          awaitingSource:
                            type: array
                            items:
                              type: object
                              properties:
                                mediaBuyId:
                                  type: string
                                since:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              required:
                                - mediaBuyId
                                - since
                              additionalProperties: false
                          sourceDegradations:
                            type: array
                            items:
                              type: object
                              properties:
                                severity:
                                  type: string
                                  enum:
                                    - blocking
                                    - attention
                                    - advisory
                                headline:
                                  type: string
                              required:
                                - severity
                                - headline
                              additionalProperties: false
                        required:
                          - approvals
                          - creativeReviews
                          - failedForwards
                          - awaitingSource
                          - sourceDegradations
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````